> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get monthly usage

> Get the current month's usage counters for A2P messages and emails, along with the tier limits.



## OpenAPI

````yaml /openapi.json get /v1/usage
openapi: 3.0.3
info:
  title: Zavu Unified Messaging Layer API
  version: 0.2.0
  description: >
    Unified multi-channel messaging API for Zavu.


    Supported channels:

    - **SMS**: Simple text messages

    - **WhatsApp**: Rich messaging with media, buttons, lists, CTA URL buttons,
    and templates

    - **Telegram**: Bot messaging with text, media, and interactive elements

    - **Email**: Transactional emails via Amazon SES


    Design goals:

    - Simple `send()` entrypoint for developers

    - Project-level authentication via Bearer token

    - Support for all WhatsApp message types (text, image, video, audio,
    document, sticker, location, contact, buttons, list, cta_url, reaction,
    template)

    - If a non-text message type is sent, WhatsApp channel is used automatically

    - 24-hour WhatsApp conversation window enforcement

    - Universal `to` field accepts phone numbers (E.164), email addresses, or
    numeric chat IDs (Telegram/Instagram)
servers:
  - url: https://api.zavu.dev
security:
  - bearerAuth: []
paths:
  /v1/usage:
    get:
      tags:
        - Usage
      summary: Get monthly usage
      description: >-
        Get the current month's usage counters for A2P messages and emails,
        along with the tier limits.
      operationId: getUsage
      responses:
        '200':
          description: Usage details.
          content:
            application/json:
              schema:
                type: object
                required:
                  - messagesA2P
                  - emailsSent
                  - limits
                  - tier
                  - monthKey
                properties:
                  messagesA2P:
                    type: integer
                    description: >-
                      A2P messages sent this month (WhatsApp replies +
                      Telegram).
                  emailsSent:
                    type: integer
                    description: Emails sent this month.
                  limits:
                    type: object
                    properties:
                      messagesA2P:
                        type: integer
                      emails:
                        type: integer
                  tier:
                    type: string
                    enum:
                      - free
                      - pro
                      - scale
                      - enterprise
                  monthKey:
                    type: string
                    description: Current month in YYYY-MM format.
                    example: 2026-03
              example:
                messagesA2P: 45231
                emailsSent: 12000
                limits:
                  messagesA2P: 100000
                  emails: 100000
                tier: pro
                monthKey: 2026-03
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          example: invalid_request
        message:
          type: string
          example: Phone number is invalid
        details:
          type: object
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````